import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'flutter_theoaks_paystack_method_channel.dart';

abstract class FlutterTheoaksPaystackPlatform extends PlatformInterface {
  /// Constructs a FlutterTheoaksPaystackPlatform.
  FlutterTheoaksPaystackPlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterTheoaksPaystackPlatform _instance =
      MethodChannelFlutterTheoaksPaystack();

  /// The default instance of [FlutterTheoaksPaystackPlatform] to use.
  ///
  /// Defaults to [MethodChannelFlutterTheoaksPaystack].
  static FlutterTheoaksPaystackPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlutterTheoaksPaystackPlatform] when
  /// they register themselves.
  static set instance(FlutterTheoaksPaystackPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
