import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_theoaks_paystack/flutter_theoaks_paystack.dart';
import 'package:flutter_theoaks_paystack/flutter_theoaks_paystack_platform_interface.dart';
import 'package:flutter_theoaks_paystack/flutter_theoaks_paystack_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockFlutterTheoaksPaystackPlatform
    with MockPlatformInterfaceMixin
    implements FlutterTheoaksPaystackPlatform {
  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final FlutterTheoaksPaystackPlatform initialPlatform =
      FlutterTheoaksPaystackPlatform.instance;

  test('$MethodChannelFlutterTheoaksPaystack is the default instance', () {
    expect(
        initialPlatform, isInstanceOf<MethodChannelFlutterTheoaksPaystack>());
  });

  test('getPlatformVersion', () async {
    FlutterTheoaksPaystack flutterTheoaksPaystackPlugin =
        FlutterTheoaksPaystack();
    MockFlutterTheoaksPaystackPlatform fakePlatform =
        MockFlutterTheoaksPaystackPlatform();
    FlutterTheoaksPaystackPlatform.instance = fakePlatform;

    expect(await flutterTheoaksPaystackPlugin.getPlatformVersion(), '42');
  });
}
